Subject: Re: skb_segment() questions

From: Mark McLoughlin <[email-masked]>
Date: Mon, 20 Apr 2009 12:12:10 +0100

On Mon, 2009-03-30 at 13:57 -0700, David Miller wrote:
> From: Mark McLoughlin <[email-masked]>
> Date: Mon, 30 Mar 2009 09:50:45 +0100
> 
> > On Sat, 2009-03-28 at 23:39 -0700, David Miller wrote:
> > > From: Herbert Xu <[email-masked]>
> > > Date: Sun, 29 Mar 2009 10:07:01 +0800
> > > 
> > > > gso: Fix support for linear packets
> > > > 
> > > > When GRO/frag_list support was added to GSO, I made an error
> > > > which broke the support for segmenting linear GSO packets (GSO
> > > > packets are normally non-linear in the payload).
> > > > 
> > > > These days most of these packets are constructed by the tun
> > > > driver, which prefers to allocate linear memory if possible.
> > > > This is fixed in the latest kernel, but for 2.6.29 and earlier
> > > > it is still the norm.
> > > > 
> > > > Therefore this bug causes failures with GSO when used with tun
> > > > in 2.6.29.
> > > > 
> > > > Reported-by: James Huang <[email-masked]>
> > > > Signed-off-by: Herbert Xu <[email-masked]>
> > > 
> > > Applied, thanks.
> > 
> > This is needed in -stable too, fwiw. Fixes e.g. virtio guest->remote
> > with 2.6.29 host:
> > 
> >   https://bugzilla.redhat.com/490266
> 
> I know, I'll queue it up.

This hasn't made it yet? Just had another report on kvm list about it.

(Can't seem to find anywhere to check whether it's queued)

Cheers,
Mark.